For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
      • POSTAdd a member to teams
      • DELDelete account member
      • GETGet account member
      • POSTInvite new members
      • GETList account members
      • PATCHModify account members
      • PATCHModify an account member
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewAccount Members

List account members

GET
/api/v2/members
GET
/api/v2/members
$curl https://app.launchdarkly.com/api/v2/members \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "_links": {},
5 "_id": "507f1f77bcf86cd799439011",
6 "role": "reader",
7 "email": "ariel@acme.com",
8 "_pendingInvite": false,
9 "_verified": true,
10 "customRoles": [
11 "devOps",
12 "backend-devs"
13 ],
14 "mfa": "string",
15 "_lastSeen": 1608260796147,
16 "creationDate": 1628001602644,
17 "firstName": "Ariel",
18 "lastName": "Flores",
19 "_pendingEmail": "string",
20 "excludedDashboards": [
21 "string"
22 ],
23 "_lastSeenMetadata": {
24 "tokenId": "5b52207f8ca8e631d31fdb2b"
25 },
26 "_integrationMetadata": {
27 "externalId": "string",
28 "externalStatus": {
29 "display": "string",
30 "value": "string"
31 },
32 "externalUrl": "string",
33 "lastChecked": 1
34 },
35 "teams": [
36 {
37 "customRoleKeys": [
38 "access-to-test-projects"
39 ],
40 "key": "team-key-123abc",
41 "name": "QA Team",
42 "_links": {}
43 }
44 ],
45 "permissionGrants": [
46 {
47 "resource": "team/qa-team",
48 "actionSet": "string",
49 "actions": [
50 "maintainTeam"
51 ]
52 }
53 ],
54 "oauthProviders": [
55 "string"
56 ],
57 "version": 1,
58 "roleAttributes": {}
59 }
60 ],
61 "_links": {},
62 "totalCount": 1
63}
Return a list of account members. By default, this returns the first 20 members. Page through this list with the `limit` parameter and by following the `first`, `prev`, `next`, and `last` links in the returned `_links` field. These links are not present if the pages they refer to don't exist. For example, the `first` and `prev` links will be missing from the response on the first page. ### Filtering members LaunchDarkly supports the following fields for filters: - `query` is a string that matches against the members' emails and names. It is not case sensitive. - `role` is a `|` separated list of roles and custom roles. It filters the list to members who have any of the roles in the list. For the purposes of this filtering, `Owner` counts as `Admin`. - `id` is a `|` separated list of member IDs. It filters the list to members who match any of the IDs in the list. - `email` is a `|` separated list of member emails. It filters the list to members who match any of the emails in the list. - `team` is a string that matches against the key of the teams the members belong to. It is not case sensitive. - `noteam` is a boolean that filters the list of members who are not on a team if true and members on a team if false. - `lastSeen` is a JSON object in one of the following formats: - `{"never": true}` - Members that have never been active, such as those who have not accepted their invitation to LaunchDarkly, or have not logged in after being provisioned via SCIM. - `{"noData": true}` - Members that have not been active since LaunchDarkly began recording last seen timestamps. - `{"before": 1608672063611}` - Members that have not been active since the provided value, which should be a timestamp in Unix epoch milliseconds. - `accessCheck` is a string that represents a specific action on a specific resource and is in the format `<ActionSpecifier>:<ResourceSpecifier>`. It filters the list to members who have the ability to perform that action on that resource. Note: `accessCheck` is only supported in API version `20220603` and earlier. To learn more, read [Versioning](https://launchdarkly.com/docs/api#versioning). - For example, the filter `accessCheck:createApprovalRequest:proj/default:env/test:flag/alternate-page` matches members with the ability to create an approval request for the `alternate-page` flag in the `test` environment of the `default` project. - Wildcard and tag filters are not supported when filtering for access. For example, the filter `query:abc,role:admin|customrole` matches members with the string `abc` in their email or name, ignoring case, who also are either an `Owner` or `Admin` or have the custom role `customrole`. ### Sorting members LaunchDarkly supports two fields for sorting: `displayName` and `lastSeen`: - `displayName` sorts by first + last name, using the member's email if no name is set. - `lastSeen` sorts by the `_lastSeen` property. LaunchDarkly considers members that have never been seen or have no data the oldest. ### Expanding the members response LaunchDarkly supports two fields for expanding the "List members" response. By default, these fields are **not** included in the response. To expand the response, append the `expand` query parameter and add a comma-separated list with any of the following fields: * `customRoles` includes a list of the roles that you have assigned to the member. * `roleAttributes` includes a list of the role attributes that you have assigned to the member. For example, `expand=roleAttributes` includes `roleAttributes` field in the response.
Was this page helpful?
Previous

Modify account members

Next
Built with

Return a list of account members.

By default, this returns the first 20 members. Page through this list with the limit parameter and by following the first, prev, next, and last links in the returned _links field. These links are not present if the pages they refer to don’t exist. For example, the first and prev links will be missing from the response on the first page.

Filtering members

LaunchDarkly supports the following fields for filters:

  • query is a string that matches against the members’ emails and names. It is not case sensitive.
  • role is a | separated list of roles and custom roles. It filters the list to members who have any of the roles in the list. For the purposes of this filtering, Owner counts as Admin.
  • id is a | separated list of member IDs. It filters the list to members who match any of the IDs in the list.
  • email is a | separated list of member emails. It filters the list to members who match any of the emails in the list.
  • team is a string that matches against the key of the teams the members belong to. It is not case sensitive.
  • noteam is a boolean that filters the list of members who are not on a team if true and members on a team if false.
  • lastSeen is a JSON object in one of the following formats:
    • {"never": true} - Members that have never been active, such as those who have not accepted their invitation to LaunchDarkly, or have not logged in after being provisioned via SCIM.
    • {"noData": true} - Members that have not been active since LaunchDarkly began recording last seen timestamps.
    • {"before": 1608672063611} - Members that have not been active since the provided value, which should be a timestamp in Unix epoch milliseconds.
  • accessCheck is a string that represents a specific action on a specific resource and is in the format <ActionSpecifier>:<ResourceSpecifier>. It filters the list to members who have the ability to perform that action on that resource. Note: accessCheck is only supported in API version 20220603 and earlier. To learn more, read Versioning.
    • For example, the filter accessCheck:createApprovalRequest:proj/default:env/test:flag/alternate-page matches members with the ability to create an approval request for the alternate-page flag in the test environment of the default project.
    • Wildcard and tag filters are not supported when filtering for access.

For example, the filter query:abc,role:admin|customrole matches members with the string abc in their email or name, ignoring case, who also are either an Owner or Admin or have the custom role customrole.

Sorting members

LaunchDarkly supports two fields for sorting: displayName and lastSeen:

  • displayName sorts by first + last name, using the member’s email if no name is set.
  • lastSeen sorts by the _lastSeen property. LaunchDarkly considers members that have never been seen or have no data the oldest.

Expanding the members response

LaunchDarkly supports two fields for expanding the “List members” response. By default, these fields are not included in the response.

To expand the response, append the expand query parameter and add a comma-separated list with any of the following fields:

  • customRoles includes a list of the roles that you have assigned to the member.
  • roleAttributes includes a list of the role attributes that you have assigned to the member.

For example, expand=roleAttributes includes roleAttributes field in the response.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

limitlongOptional
The number of members to return in the response. Defaults to 20.
offsetlongOptional

Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

filterstringOptionalformat: "string"

A comma-separated list of filters. Each filter is of the form field:value. Supported fields are explained above.

expandstringOptionalformat: "string"

A comma-separated list of properties that can reveal additional information in the response.

sortstringOptionalformat: "string"

A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.

Response

Members collection response
itemslist of objects
An array of members
_linksmap from strings to objects
The location and content type of related resources
totalCountinteger
The number of members returned

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error